# -*- coding: utf-8 -*-

from rest_framework import serializers

from .. import models


class SliderSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Slider
        fields = '__all__'


class SliderSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.Slider
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class SliderSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.Slider
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class PitcureSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Pitcure
        fields = '__all__'


class PitcureSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.Pitcure
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class PitcureSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.Pitcure
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')
